package com.yihu.jw.entity.door;


import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
* 服务工单关联的医护人员实体
*
* @author Administrator on  2019年03月15日
*
*/
@Entity
@Table(name = "wlyy_door_doctor")
public class WlyyDoorDoctorDO extends UuidIdentityEntity {

    /**
	 * 工单id
	 */
	private String orderId;

    /**
	 * 医生code
	 */
	private String doctor;

    /**
     * 医生名称
     */
    private String doctorName;

    /**
	 * 医生级别类型：医生，健管师，护士等
	 */
	private Integer hospitalLevel;

    /**
     * 医生职称（dm_job的code）
     */
    private String doctorJobCode;

    /**
     * 医生职称名称
     */
    private String doctorJobName;

    /**
     * 出诊费用
     */
    private Double jobFeeCost;


	@Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

	@Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

	@Column(name = "hospital_level")
    public Integer getHospitalLevel() {
        return hospitalLevel;
    }
    public void setHospitalLevel(Integer hospitalLevel) {
        this.hospitalLevel = hospitalLevel;
    }

    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "doctor_job_code")
    public String getDoctorJobCode() {
        return doctorJobCode;
    }

    public void setDoctorJobCode(String doctorJobCode) {
        this.doctorJobCode = doctorJobCode;
    }

    @Column(name = "doctor_job_name")
    public String getDoctorJobName() {
        return doctorJobName;
    }

    public void setDoctorJobName(String doctorJobName) {
        this.doctorJobName = doctorJobName;
    }

    @Column(name = "job_fee_cost")
    public Double getJobFeeCost() {
        return jobFeeCost;
    }

    public void setJobFeeCost(Double jobFeeCost) {
        this.jobFeeCost = jobFeeCost;
    }
}